package es.kauron.jstudy;

import es.kauron.jstudy.model.AppConfig;
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

public class Main extends Application {

    @Override
    public void start(Stage primaryStage) throws Exception{
        AppConfig.load();
        Parent root = FXMLLoader.load(Main.class.getResource("view/main.fxml"));
        primaryStage.setTitle("JStudy");
        primaryStage.setScene(new Scene(root));
        primaryStage.show();
        primaryStage.setOnCloseRequest(event -> {
            AppConfig.save();
        });
    }


    public static void main(String[] args) {
        launch(args);
    }
}
